Name:           kando
Version:        1.8.0
Release:        9%{?dist}
Summary:        A pie menu for the desktop – customizable and action-based

License:        MIT
URL:            https://github.com/kando-menu/kando
ExclusiveArch:  x86_64 aarch64

Source1:        kando.sh
Source2:        config.json
Source3:        menus.json

Requires:       xdg-utils

%description
Kando is a pie menu for the desktop. Highly customizable, allowing users to create their own menus and actions. This version uses the system-wide Electron.

%prep
%ifarch x86_64
%global rpmarch x86_64
%endif
%ifarch aarch64
%global rpmarch arm64
%endif

echo "Downloading binary for %{rpmarch}"
curl -L -o kando.rpm https://github.com/kando-menu/kando/releases/download/v%{version}/kando-%{version}-1.%{rpmarch}.rpm
rpm2cpio kando.rpm | cpio -idmuv

%build
# Nothing to build

%install
install -Dm755 usr/bin/kando %{buildroot}/usr/lib/kando/kando
install -Dm755 %{SOURCE1} %{buildroot}/usr/bin/kando

install -dm755 %{buildroot}/etc/skel/.config/kando
install -Dm644 %{SOURCE2} %{buildroot}/etc/skel/.config/kando/config.json
install -Dm644 %{SOURCE3} %{buildroot}/etc/skel/.config/kando/menus.json

install -dm755 %{buildroot}/usr/lib/kando
cp -a usr/lib/kando %{buildroot}/usr/lib/

install -dm755 %{buildroot}/usr/lib/kando/resources/app/.webpack/renderer/assets/icon-themes
ln -s /usr/share/icons/hicolor %{buildroot}/usr/lib/kando/resources/app/.webpack/renderer/assets/icon-themes/hicolor
ln -s /usr/share/icons/htb-toolkit %{buildroot}/usr/lib/kando/resources/app/.webpack/renderer/assets/icon-themes/htb-toolkit
ln -s /usr/share/pixmaps %{buildroot}/usr/lib/kando/resources/app/.webpack/renderer/assets/icon-themes/pixmaps

install -Dm644 usr/share/applications/kando.desktop %{buildroot}/etc/xdg/autostart/kando.desktop
install -Dm644 usr/share/applications/kando.desktop %{buildroot}/usr/share/applications/kando.desktop
install -Dm644 usr/share/pixmaps/kando.png %{buildroot}/usr/share/pixmaps/kando.png

%files
%license usr/lib/kando/LICENSE
%doc usr/share/doc/kando/copyright
/usr/bin/kando
/usr/share/pixmaps/kando.png
/usr/share/applications/kando.desktop
/etc/xdg/autostart/kando.desktop
/etc/skel/.config/kando/config.json
/etc/skel/.config/kando/menus.json
/usr/lib/kando

%changelog
